Skip to main content
GET
/
v1
/
chat
/
conversations
/
{id}
/
participants
/
{userId}
cURL
curl --request GET \
  --url https://api.botpress.cloud/v1/chat/conversations/{id}/participants/{userId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-bot-id: <x-bot-id>'
{
  "participant": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "tags": {},
    "name": "<string>",
    "pictureUrl": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-bot-id
string
required

Bot id

x-integration-id
string

Integration id

x-integration-alias
string

Integration alias

Path Parameters

id
string
required

Conversation id

userId
string
required

User id

Response

Returns the Participant object

participant
object
required

The user object represents someone interacting with the bot within a specific integration. The same person interacting with a bot in slack and messenger will be represented with two different users.